summaryrefslogtreecommitdiffstats
path: root/games/robotfindskitten
diff options
context:
space:
mode:
author Josiah Boothby <josiahb@gmail.com>2010-05-11 22:53:47 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:47 +0200
commitd93495cdcf1751829f06899bb4eedd3b28deae41 (patch)
treeedf1c75186810b7d534c0abf9e28d121d812f52e /games/robotfindskitten
parent1df8dfcf8ea94b97ba7c62c0cebdc13152b81a1d (diff)
downloadslackbuilds-d93495cdcf1751829f06899bb4eedd3b28deae41.tar.gz
slackbuilds-d93495cdcf1751829f06899bb4eedd3b28deae41.tar.xz
games/robotfindskitten: Added to 12.1 repository
Diffstat (limited to 'games/robotfindskitten')
-rw-r--r--games/robotfindskitten/README10
-rw-r--r--games/robotfindskitten/robotfindskitten.SlackBuild75
-rw-r--r--games/robotfindskitten/robotfindskitten.info8
-rw-r--r--games/robotfindskitten/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/games/robotfindskitten/README b/games/robotfindskitten/README
new file mode 100644
index 0000000000..2e4f033c29
--- /dev/null
+++ b/games/robotfindskitten/README
@@ -0,0 +1,10 @@
+robotfindskitten is a Zen simulation. In this simulation, you play the
+part of robot. Your task is to complete the simulation by finding
+kitten, as is your destiny, and indeed your wont. You (robot) are
+represented by the # character, and you move around with the arrow keys
+(Nethack, EMACS, or otherwise) touching things. If the thing you touch
+is kitten, you get a cute little animation version, and the simulation
+ends. Otherwise, you get a brief description of what it is you touched.
+
+robotfindskitten will not compile properly without ncurses, which is
+part of a standard Slackware installation.
diff --git a/games/robotfindskitten/robotfindskitten.SlackBuild b/games/robotfindskitten/robotfindskitten.SlackBuild
new file mode 100644
index 0000000000..2e655ffdb7
--- /dev/null
+++ b/games/robotfindskitten/robotfindskitten.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for robotfindskitten
+
+# Written by Josiah Boothby <josiahb@gmail.com>
+
+PRGNAM=robotfindskitten
+VERSION=${VERSION:-1.7320508.406}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games\
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a {AUTHORS,BUGS,COPYING,ChangeLog,NEWS,README} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/robotfindskitten/robotfindskitten.info b/games/robotfindskitten/robotfindskitten.info
new file mode 100644
index 0000000000..29c36bd933
--- /dev/null
+++ b/games/robotfindskitten/robotfindskitten.info
@@ -0,0 +1,8 @@
+PRGNAM="robotfindskitten"
+VERSION="1.7320508.406"
+HOMEPAGE="http://robotfindskitten.org"
+DOWNLOAD="http://downloads.sourceforge.net/rfk/robotfindskitten-1.7320508.406.tar.gz"
+MD5SUM="6b9cf314ffee0de52ed85ac5ba11d66b"
+MAINTAINER="Josiah Boothby"
+EMAIL="josiahb@gmail.com"
+APPROVED="dsomero"
diff --git a/games/robotfindskitten/slack-desc b/games/robotfindskitten/slack-desc
new file mode 100644
index 0000000000..7af6017e73
--- /dev/null
+++ b/games/robotfindskitten/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+robotfindskitten: robotfindskitten (a Zen simulation game)
+robotfindskitten:
+robotfindskitten: In this game, you are robot (#). Your job is to find kitten. This
+robotfindskitten: task is complicated by the existence of various things which are not
+robotfindskitten: kitten. Robot must touch items to determine if they are kitten or
+robotfindskitten: not. The game ends when robotfindskitten.
+robotfindskitten:
+robotfindskitten:
+robotfindskitten:
+robotfindskitten:
+robotfindskitten: